Payments APIInstitutions
Get list of institutions
GET
Get list of institutions. All the details can be used for creating an institution selection UI, along with required account identifiers inputs.
Bearerheader
AuthorizationBearer <JWT>Bearer token using a JWT.
country*stringFilter for country code (ISO 3166 alpha-2 format) of the payer.
Length
2 <= length <= 2currency*stringFilter for currency code (ISO 4217 format) institution must support.
Length
3 <= length <= 3payments[active]?booleanFilter whether payments functionality in institution is active or not (temporarily disabled).
payments[recurring][commercial]?booleanFilter institutions by whether they support commercial VRP (cVRP).
group[name]?stringFilter institutions by group name.
customerId?stringFilter institutions for a given customer. If query param is not provided, customer identifier is taken from the bearer token.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1OK - Successful request, returning institutions' list.
application/json- response
[index: integer]?curl -X GET 'https://gateway.sandbox.volt.io/institutions?country=st¤cy=str' \ -H 'X-Volt-Api-Version: 1'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "country": "DE", "name": "Sparkasse Nienburg", "localName": "Sparkasse Nienburg", "alternativeName": null, "group": { "name": "Sparkasse", "localName": "Sparkasse" }, "branch": { "name": "Nienburg", "localName": "Nienburg" }, "nationalId": "25650106", "assets": { "icon": "http://cdn.example.com/assets/bank.svg", "logo": "http://cdn.example.com/assets/bank.svg" }, "types": [ "BUSINESS" ], "supportedCurrencies": [ "EUR" ], "capabilities": { "payments": { "active": true, "accountIdentifiersRequired": [ "IBAN" ], "additionalDataRequired": [], "communication": { "appToApp": "SUPPORTED" }, "recurring": { "commercial": false } } } }]